using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsDrawingHistory {
        [Display(Name = "고유번호"), Key]
        public int SiteId { get; set; }
        public int DrawingId { get; set; }
        public int HistoryId { get; set; }
        [Display(Name = "Rev번호")]
        public int? RevisionNo { get; set; }
        [Display(Name = "파일")]
        public int? FileId { get; set; }
        [Display(Name = "도면설명")]
        [StringLength(2000)]
        public string Description { get; set; }
        [Display(Name = "수정일")]
        [Column(TypeName = "datetime")]
        public DateTime? UpdatedDate { get; set; }
        [Display(Name = "수정자")]
        [StringLength(24)]
        public string UpdatedUserId { get; set; }

        [ForeignKey("SiteId,FileId")]
        public virtual CmFile CmFile { get; set; }
        [ForeignKey("SiteId")]
        public virtual CmSite CmSite { get; set; }
        [ForeignKey("UpdatedUserId")]
        public virtual CmUser CmUser { get; set; }
        [ForeignKey("SiteId,DrawingId")]
        public virtual FmsDrawing FmsDrawing { get; set; }
    }
}
